summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorDan Radez <dradez@redhat.com>2017-05-12 12:37:33 -0400
committerFeng Pan <fpan@redhat.com>2017-05-30 16:36:11 -0400
commit8f2cffd3681baffd44ab6fb1e9d91d899053753b (patch)
tree03d9969f04a355af246fee6f1cca49d006859100 /ci
parenta622216b83fd46d3ad1fd763a367cc26323a8864 (diff)
Moving to forks on gerrit.opnfv.org
Migrating off of github onto opnfv.org to host our forked projects that are side loaded into our builds apex-tripleo-heat-templates: Ic65cfeee4a55e993629f831c8c9d9addf6f3dff4 apex-puppet-tripleo: If498c41d706c8f14a5b0bbee64cb4d26cd78c2d0 apex-os-net-config: I5281a57640f388e984b061702362f9c82d08da78 Change-Id: Ieb5cf293ad06d90fce7a9467e32ac0f2d8731a0a Signed-off-by: Dan Radez <dradez@redhat.com> Signed-off-by: Feng Pan <fpan@redhat.com>
Diffstat (limited to 'ci')
-rwxr-xr-xci/test.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/ci/test.sh b/ci/test.sh
index bae21096..c1e99344 100755
--- a/ci/test.sh
+++ b/ci/test.sh
@@ -11,7 +11,7 @@
set -e
# Make sure python dependencies are installed
-for pkg in yamllint iproute epel-release python34-devel python34-nose python34-PyYAML python-pep8 python34-mock; do
+for pkg in yamllint iproute epel-release python34-devel python34-nose python34-PyYAML python-pep8 python34-mock python34-pip; do
if ! rpm -q ${pkg} > /dev/null; then
if ! sudo yum install -y ${pkg}; then
echo "Failed to install ${pkg} package..."
@@ -21,7 +21,7 @@ for pkg in yamllint iproute epel-release python34-devel python34-nose python34-P
done
# Make sure coverage is installed
-if ! python3 -c "import coverage" &> /dev/null; then sudo easy_install-3.4 coverage; fi
+if ! python3 -c "import coverage" &> /dev/null; then sudo pip3.4 coverage; fi
pushd ../build/ > /dev/null
make python-pep8-check